<?php
require_once(dirname(__FILE__) . '/components/header.php');
require_once(dirname(__FILE__) . '/includes/getFunctions.php');
require_once(dirname(__FILE__) . '/includes/Common.php');
require_once(dirname(__FILE__) . '/settings/settings.php');
$dbget = new getFunctions();
$common = new Common();
$sett = new settings();
$school_code = $sett->getSchoolCode();
$server_name = $sett->getServerName();
$favicon = 'http://' . $server_name . '/' . 'images/' . 'logo/' . $school_code . '_favicon.ico';
//echo $favicon;
$director_profile = $dbget->getDirecorProfile($school_code, $server_name);
$principal_profile = $dbget->getPrincipalProfile($school_code, $server_name);
$mSchoolSummary = $dbget->getSchoolSummary($school_code);
if (count($mSchoolSummary) == 0) {
    $student = "--";
    $staff = "--";
    $class = "--";
    $performance = "--";
    $years = "--";
} else {
    $student = $mSchoolSummary[0]['student'];
    $staff = $mSchoolSummary[0]['staff'];
    $class = $mSchoolSummary[0]['classes'];
    $performance = $mSchoolSummary[0]['performance'];
    $years = $mSchoolSummary[0]['years'];
}

$mBanner = $dbget->getSchoolBanner($school_code, $server_name);

$mtestimonial = $dbget->getTestimonialList($school_code, $server_name);
//print_r($mtestimonial);


?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="css/style.css">
</head>

<body>
    <div class="testimonial-section">
        <h1>Parent Stories : Inspiring Testimonials of Growth and Achievement</h1>
        <div class="testimonial-container">
            <?php
            for ($i = 0; $i < count($mtestimonial); $i++) {
                if ($mtestimonial[$i]['testimonial_type'] == 'parent') {


                    ?>
                    <div class="testimonial">
                        <div class="student-image">
                            <img src="<?php echo $mtestimonial[$i]['image_path']; ?>" alt="Gaitik Khurana">
                        </div>
                        <div class="student-quote">
                            <p class="quote">
                                <span class="quote-mark">
                                    “</span> <?php echo $mtestimonial[$i]['testimonial']; ?>
                                <span class="quote-mark">”</span>
                            </p>
                            <p class="student-name"><?php echo $mtestimonial[$i]['name']; ?></p>
                            <p class="student-name"> class :<?php echo $mtestimonial[$i]['class']; ?></p>
                        </div>
                    </div>

                <?php
                }
            }
            ?>
        </div>
    </div>
    <?php
    require_once(dirname(__FILE__) . '/components/footer.php');
    ?>