<?php

require_once(dirname(__DIR__) . '/includes/getFunctions.php');
require_once(dirname(__DIR__) . '/settings/settings.php');


$settings = new settings();
$dbget = new getFunctions();

$school_code = $settings->getSchoolCode();
$server_name = $settings->getServerName();
$schoolData = $dbget->getSchoolDetails($school_code, $server_name);

$domain_name=$_SERVER['SERVER_NAME'];
//echo $domain_name;
$login_admin='https://admin.'.$domain_name;
//echo $login_admin;

$favicon = 'https://techmetrica.com/webresource/images/logo/' . $school_code . '_favicon.ico';

//echo $favicon;
$school_name = $schoolData[0]['school_name'];
$school_address = $schoolData[0]['school_address'];
$school_logo_path = $schoolData[0]['school_logo_path'];
$school_tag_line = $schoolData[0]['school_tag_line'];
$school_heading = $schoolData[0]['school_heading'];
$school_estb_year = $schoolData[0]['school_estb_year'];
$affiliated_to = $schoolData[0]['affiliated_to'];
$Affi_no = $schoolData[0]['Affi_no'];
$school_reg_no = $schoolData[0]['school_reg_no'];
$officail_contact_no1 = $schoolData[0]['officail_contact_no1'];
$officail_contact_no2 = $schoolData[0]['officail_contact_no2'];
$officail_email = $schoolData[0]['officail_email'];
$website = $schoolData[0]['website'];
$principal_name = $schoolData[0]['principal_name'];
$principal_qualification = $schoolData[0]['principal_qualification'];


$Affi_no2 = isset($Affi_no) ? " | Affi.No -" . $Affi_no : '';

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo htmlspecialchars($school_name); ?></title>
   <link rel="icon" href="<?php echo $favicon; ?>" type="image/x-icon" />

    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="css/style.css">
</head>

<body>
    <header class="school_nav-header">
        <!-- Top Section -->
        <div class="school_nav-header-top">
            <div class="school_nav-logo-container">
                <img src="<?php echo $school_logo_path; ?>" alt="School Logo" class="school_nav-logo">
            </div>
            <div class="school_nav-info">
                <h1 class="school_nav-name"><?php echo $school_name; ?></h1>
                <p class="school_nav-heading"><?php echo "$school_heading | Estb. $school_estb_year | Reg No. $school_reg_no $Affi_no2"; ?></p>
                <p class="school_nav-tagline"><?php echo $school_tag_line; ?></p>
            </div>
        </div>

        <!-- Navigation Bar -->
        <nav class="school_nav-navbar">
            <button class="school_nav-menu-toggle" onclick="toggleMenu()">☰</button>
            <ul class="school_nav-menu">
                <li class="school_nav-item"><a href="index.php" class="school_nav-link">Home</a></li>
                <li class="school_nav-item">
                    <a href="#" class="school_nav-link">About Us</a>
                    <ul class="school_nav-dropdown">
                        <li><a href="about.php" class="school_nav-dropdown-link">About School</a></li>
                        <li><a href="principal.php" class="school_nav-dropdown-link">Message from Principal</a></li>
                        <li><a href="#" class="school_nav-dropdown-link">Alumni</a></li>
                    </ul>
                </li>

                <li class="school_nav-item">
                    <a href="#" class="school_nav-link">Mandatory Public Disclosure</a>
                    <ul class="school_nav-dropdown">
                        <li><a href="general_information.php" class="school_nav-dropdown-link">General Information</a></li>
                        <li><a href="documents_information.php" class="school_nav-dropdown-link">Documents Information</a></li>
                        <li><a href="result_and_academics.php" class="school_nav-dropdown-link">Result and Academics</a></li>
                        <li><a href="school_infrastructure.php" class="school_nav-dropdown-link">Staff (Teaching) and School Infrastructure</a></li>
                    </ul>
                </li>


                <li class="school_nav-item">
                    <a href="#" class="school_nav-link">Academics</a>
                    <ul class="school_nav-dropdown">
                        <li><a href="#" class="school_nav-dropdown-link">Curriculum</a></li>
                        <li><a href="#" class="school_nav-dropdown-link">House System</a></li>
                        <li><a href="#" class="school_nav-dropdown-link">Library & Labs</a></li>
                    </ul>
                </li>

                  <li class="school_nav-item">
                    <a href="#" class="school_nav-link">Beyond Academics</a>
                    <ul class="school_nav-dropdown">
                        <li><a href="#" class="school_nav-dropdown-link">Co-Curricular Activities</a></li>
                        <li><a href="#" class="school_nav-dropdown-link">Sports</a></li>
                        <li><a href="#" class="school_nav-dropdown-link">Clubs</a></li>
                    </ul>
                </li>

                 <li class="school_nav-item">
                    <a href="Admissions.php" class="school_nav-link">Admissions</a>
                    <ul class="school_nav-dropdown">
                        <li><a href="Admissions.php" class="school_nav-dropdown-link">Admission Enquiry</a></li>
                        <li><a href="#" class="school_nav-dropdown-link">Verification of Transfer Certificate</a></li>
                    </ul>
                </li>

                <li class="school_nav-item"><a href="gallery.php" class="school_nav-link">Gallery</a></li>
                <li class="school_nav-item"><a href="Contact.php" class="school_nav-link">Contact</a></li>
                <li class="school_nav-item"><a href="<?php echo $login_admin; ?>" class="school_nav-link">Login</a></li>
            </ul>
        </nav>
    </header>

    <script>
       

function toggleMenu() {
    const menu = document.querySelector('.school_nav-menu');
    menu.classList.toggle('show');
}

// Dropdown functionality for mobile
document.querySelectorAll('.school_nav-item > .school_nav-link').forEach(link => {
    link.addEventListener('click', (event) => {
        if (window.innerWidth <= 768) {
            const dropdown = event.target.nextElementSibling;
            if (dropdown && dropdown.classList.contains('school_nav-dropdown')) {
                event.preventDefault();
                dropdown.classList.toggle('show');
            }
        }
    });
});

    
   </script>
</body>

</html>