<?php
require_once(dirname(__FILE__) . '/components/header.php');
require_once(dirname(__FILE__) . '/settings/settings.php');
require_once(dirname(__FILE__) . '/includes/getFunctions.php');
$settings = new settings();
$dbget = new getFunctions();
$school_name = $settings->getSchoolName();
$school_code = $settings->getSchoolCode();
$server_name = $settings->getServerName();
$mEvent = $dbget->getEventAndActivity($school_code, $server_name);
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Gallery</title>
     <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="css/style.css">
</head>

<body>

    <div class="gallery_container">
        <?php
        for ($i = 0; $i < count($mEvent); $i++) {
            ?>
            <img src="<?php echo $mEvent[$i]['img_path']; ?>" alt="Image 1" class="gallery_image">
            <?php
        }
        ?>
    </div>

    <div id="modal" class="modal">
        <span id="close-modal" class="close">&times;</span>
        <img class="modal-content" id="modal-image">
        <a class="prev" id="prev">&#10094;</a>
        <a class="next" id="next">&#10095;</a>
    </div>

    <script>
        var modal = document.getElementById('modal');
        var modalImg = document.getElementById('modal-image');
        var images = document.getElementsByClassName('gallery_image');
        var currentIndex;
        for (var i = 0; i < images.length; i++) {
            images[i].onclick = function () {
                modal.style.display = "flex"; // Use flex to center content
                modalImg.src = this.src;
                currentIndex = Array.from(images).indexOf(this);
            }
        }
        var closeModal = document.getElementById('close-modal');
        closeModal.onclick = function () {
            modal.style.display = "none";
        }
        var next = document.getElementById('next');
        next.onclick = function () {
            currentIndex = (currentIndex + 1) % images.length;
            modalImg.src = images[currentIndex].src;
        }
        var prev = document.getElementById('prev');
        prev.onclick = function () {
            currentIndex = (currentIndex - 1 + images.length) % images.length;
            modalImg.src = images[currentIndex].src;
        }

        modal.onclick = function (event) {
            if (event.target == modal) {
                modal.style.display = "none";
            }
        }

    </script>
    <?php
    require_once(dirname(__FILE__) . '/components/footer.php');
    ?>