<?php
require_once(dirname(__FILE__) . '/components/header.php');


// $dir=dirname(__FILE__);
// echo $dir;
$favicon = 'https://techmetrica.com/webresource/images/logo/' . $school_code . '_favicon.ico';

require_once(dirname(__FILE__) . '/includes/getFunctions.php');

require_once(dirname(__FILE__) . '/includes/Common.php');

require_once(dirname(__FILE__) . '/settings/settings.php');

$dbget = new getFunctions();
$common = new Common();
$sett = new settings();

$school_code = $sett->getSchoolCode();
$server_name = $sett->getServerName();

$favicon = 'http://' . $server_name . '/' . 'images/' . 'logo/' . $school_code . '_favicon.ico';

//echo $favicon;


$mEvent = $dbget->getEventAndActivity($school_code, $server_name);
$director_profile = $dbget->getDirecorProfile($school_code, $server_name);

$principal_profile = $dbget->getPrincipalProfile($school_code, $server_name);
$staff_profile = $dbget->getStaffDetails($school_code, $server_name);
$about_school = $dbget->getAboutSchoolData($school_code, $server_name);
// print_r($principal_profile);
$mSchoolSummary = $dbget->getSchoolSummary($school_code);

if (count($mSchoolSummary) == 0) {
    $student = "--";
    $staff = "--";
    $class = "--";
    $performance = "--";
    $years = "--";
} else {
    $student = $mSchoolSummary[0]['student'];
    $staff = $mSchoolSummary[0]['staff'];
    $class = $mSchoolSummary[0]['classes'];
    $performance = $mSchoolSummary[0]['performance'];
    $years = $mSchoolSummary[0]['years'];
}

$mBanner = $dbget->getSchoolBanner($school_code, $server_name);
$mtestimonial = $dbget->getTestimonialList($school_code, $server_name);
// print_r($mBanner);
if (count($mtestimonial) > 4) {
    $TestimonialLenght = 4;
} else {
    $TestimonialLenght = count($mtestimonial);
}



?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo htmlspecialchars($school_name); ?></title>
    <link rel="icon" href="<?php echo $favicon; ?>" type="image/x-icon" />

    <link href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.3.0/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="css/style.css">
</head>

<body>

    <div class="slider">
        <div class="slides">
            <div class="slide"><img src="<?php echo $mBanner[0]['banner_path']; ?>" alt="Image 1"></div>
            <div class="slide"><img src="<?php echo $mBanner[1]['banner_path']; ?>" alt="Image 2"></div>
            <div class="slide"><img src="<?php echo $mBanner[2]['banner_path']; ?>" alt="Image 3"></div>
            <div class="slide"><img src="<?php echo $mBanner[3]['banner_path']; ?>" alt="Image 4"></div>
            <div class="slide"><img src="<?php echo $mBanner[4]['banner_path']; ?>" alt="Image 5"></div>
        </div>
        <button1 class="prev" onclick="moveSlide(-1)">&#10094;</button1>
        <button1 class="next" onclick="moveSlide(1)">&#10095;</button1>
    </div>


    <section class="mission-vision-section">
        <div class="mission-box">
            <img src="mission_icon.png" alt="Mission Icon" class="box-icon1">
            <div class="box-content1">
                <h3 class="box-title1">Our Mission</h3>
                <p class="box-text1">
                    <?php echo !empty($about_school[0]['school_mission']) ? $about_school[0]['school_mission'] : 'school_mission'; ?>
                </p>
            </div>
        </div>

        <div class="vision-box">
            <img src="vision_icon.png" alt="Vision Icon" class="box-icon1">
            <div class="box-content1">
                <h3 class="box-title1">Our Vision</h3>
                <p class="box-text1">
                    <?php echo !empty($about_school[0]['school_vision']) ? $about_school[0]['school_vision'] : 'school_vision'; ?>
                </p>
            </div>
        </div>
    </section>

    <section class="college-section">
        <h2>About School</h2>
        <div class="college-container">
            <img src="<?php echo $about_school[0]['about_school_img']; ?>" alt="College Image" class="college-image">
            <div class="college-description">
                <h3>Affiliated to CBSE </h3>
                <p>Affiliation No. : <?php echo $Affi_no2; ?></p>
                <p>
                    <?php echo !empty($about_school[0]['about_school']) ? $about_school[0]['about_school'] : 'about_school'; ?>
                </p>


                <a href="#" class="read-more-btn">Read More</a>
            </div>
        </div>
    </section>






    <section class="management-section">
        <div class="row">
            <?php
            $director_exists = !empty($director_profile) && !empty($director_profile[0]);
            $principal_exists = !empty($principal_profile) && !empty($principal_profile[0]);

            if ($director_exists): ?>
                <div class="<?php echo $principal_exists ? 'col-12 col-md-6' : 'col-12'; ?> profile-box">
                    <div class="profile-content">
                        <div class="profile-image">
                            <img src="<?php echo $director_profile[0]['staff_image_path']; ?>" alt="Director Image">
                        </div>
                        <div class="profile-text">
                            <h2><?php echo !empty($director_profile[0]['staff_name']) ? $director_profile[0]['staff_name'] : 'Director Name'; ?>
                            </h2>
                            <h3>Director</h3>
                            <p>
                                <?php echo !empty($director_profile[0]['message']) ? $director_profile[0]['message'] : 'Director message'; ?>
                            </p>
                            <a href="#" class="read-more-btn">Read More</a>
                        </div>
                    </div>
                </div>
            <?php endif; ?>

            <?php if ($principal_exists): ?>
                <div class="<?php echo $director_exists ? 'col-12 col-md-6' : 'col-12'; ?> profile-box">
                    <div class="profile-content">
                        <div class="profile-image">
                            <img src="<?php echo $principal_profile[0]['staff_image_path']; ?>" alt="Principal Image">
                        </div>
                        <div class="profile-text">
                            <h2><?php echo !empty($principal_profile[0]['staff_name']) ? $principal_profile[0]['staff_name'] : 'Principal Name'; ?>
                            </h2>
                            <h3>Principal</h3>
                            <p>
                                <?php echo !empty($principal_profile[0]['message']) ? $principal_profile[0]['message'] : 'Principal message'; ?>
                            </p>
                            <a href="principal.php" class="read-more-btn">Read More</a>
                        </div>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </section>



    <div class="voices-container">
        <a href="StudentTestimonials.php" class="voice-item">
            <img src="image/student.png" alt="Student">
            <div class="overlay">
                <h2>STUDENT</h2>
                <p>voices</p>
            </div>
        </a>
        <a href="Parent_Testimonials.php" class="voice-item">
            <img src="image/parent.png" alt="Parent">
            <div class="overlay">
                <h2>PARENT</h2>
                <p>voices</p>
            </div>
        </a>
        <a href="faculty_Testimonials.php" class="voice-item">
            <img src="image/faculty.png" alt="Faculty">
            <div class="overlay">
                <h2>FACULTY</h2>
                <p>voices</p>
            </div>
        </a>
        <a href="alumni_Testimonials.php" class="voice-item">
            <img src="image/alumni.png" alt="Alumni">
            <div class="overlay">
                <h2>ALUMNI</h2>
                <p>voices</p>
            </div>
        </a>
    </div>

    <section class="faculty-section1">
        <h2 class="faculty-heading">Our Faculty</h2>
        <div class="faculty-slider">
            <div class="faculty-slider-track-container">
                <ul class="faculty-slider-track">
                    <?php
                    if (isset($staff_profile) && !empty($staff_profile)) {
                        foreach ($staff_profile as $staff) {
                            ?>
                            <li class="faculty-card1">
                                <div class="faculty-image-container">
                                    <img src="<?php echo htmlspecialchars($staff['staff_image_path']); ?>"
                                        alt="<?php echo htmlspecialchars($staff['staff_name']); ?>">
                                </div>
                                <h3 class="faculty-name"><?php echo htmlspecialchars($staff['staff_name']); ?></h3>
                                <p class="faculty-role"><?php echo htmlspecialchars($staff['staff_role']); ?></p>
                            </li>
                            <?php
                        }
                    } else {
                        echo "<p>No Faculty Data Found</p>";
                    }
                    ?>
                </ul>
            </div>
        </div>

        <!-- Centered Navigation Buttons -->
        <div class="faculty-slider-controls ">
            <button class="faculty-slider-button left" id="faculty-prev">❮</button>
            <button class="faculty-slider-button right" id="faculty-next">❯</button>
        </div>

    </section>








    <div class="Notice_container">
        <div class="box">
            <h2 class="box-title">Notice</h2>
            <div class="notice">
                <ul>
                    <li><span class="new-notice"><img src="redstar1.gif" alt="Red Star"
                                class="red-star-above">New</span> Exam dates announced Exam dates announced</li>
                    <li><span class="new-notice"><img src="redstar1.gif" alt="Red Star"
                                class="red-star-above">New</span> Holiday on 15th August</li>
                    <li><span class="new-notice"><img src="redstar1.gif" alt="Red Star"
                                class="red-star-above">New</span> Admission open for 2024</li>
                    <li><span class="new-notice"><img src="redstar1.gif" alt="Red Star"
                                class="red-star-above">New</span> Annual sports day event</li>
                </ul>
            </div>
            <a href="#" class="download-button">All Notice</a>
        </div>

        <!-- Box 2: Image Gallery -->
        <div class="box">
            <h2 class="box-title">Gallery</h2>
            <a href="gallery.php">
                <div class="gallery">
                    <img src="<?php echo $mEvent[0]['img_path']; ?>" alt="Image 1">
                    <img src="<?php echo $mEvent[1]['img_path']; ?>" alt="Image 2">
                    <img src="<?php echo $mEvent[2]['img_path']; ?>" alt="Image 3">
                    <img src="<?php echo $mEvent[3]['img_path']; ?>" alt="Image 4">
                </div>
            </a>
        </div>

        <!-- Box 3: Prospectus Download -->
        <div class="box">
            <h2 class="box-title">Prospectus</h2>
            <a href="#" class="download-button">Download Prospectus</a>
        </div>
    </div>


    <!-- <section class="scholarship-fee-structure">
  <div class="fee-structure">
    <h2>Fee Structure</h2>
    <p>We are committed to providing a high-quality education that is accessible to a diverse range of parents & students.</p>
    <a href="#" class="plan-details">Plan Details &rarr;</a>
  </div>
  <div class="scholarship">
    <h2>Scholarship</h2>
    <p>Students of Class XII who obtain 98% marks or above in CBSE Examination will be awarded by 50% Scholarship on behalf of School authority.</p>
  </div>
</section> -->



    <section class="facilities">
        <h2 class="section-title">OUR FACILITIES</h2>
        <div class="decorative-line">
            <span class="line"></span>
            <span class="diamond"></span>
            <span class="line"></span>
        </div>
        <div class="facilities-list">
            <ul>
                <li>Smart Classes</li>
                <li>C.C.T.V. Attached Class Room</li>
                <li>Competitive And Practical Class Room</li>
                <li>English Spoken Classes</li>
                <li>WiFi Campus</li>
                <li>Physical Training And Sports Development</li>
                <li>Teaching Through Well Qualified And Experienced Teachers</li>
                <li>Moral Development Classes</li>
                <li>Transports Available</li>
                <li>Computerized Interconnected Classrooms With Internet facilities</li>
            </ul>
        </div>
    </section>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="js/script.js"></script>

    <?php
    require_once(dirname(__FILE__) . '/components/footer.php');
    ?>
    <